'use strict';

import React      from 'react';
import style      from './style.scss';
import CSSModules from 'react-css-modules';

import {
  Grid,
  Cell
} from 'react-mdl'

class CarmelComponent extends React.Component {

  get content () {
    var features = []
    var index = 0
    this.props.carmel.features.forEach(feature => {
      features.push(<Cell col={4} phone={12} key={index++} styleName="feature">
        <img src={ feature.assets.icon }/>
        <h1> { feature.text.title } </h1>
        <p> { feature.text.summary } </p>
      </Cell>)
    })
    return features
  }

  render () {
    return (
        <div styleName="container">
          <Grid styleName="content">
            { this.content }
          </Grid>
        </div>
    )
  }
}

export default CSSModules(CarmelComponent, style);
